/******/ (function() { // webpackBootstrap
/******/ 	"use strict";
/******/ 	var __webpack_modules__ = ({

/***/ "./assets/react/components/admin-stock-statuses-list.js":
/*!**************************************************************!*\
  !*** ./assets/react/components/admin-stock-statuses-list.js ***!
  \**************************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @wordpress/element */ "@wordpress/element");
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _wordpress_components__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @wordpress/components */ "@wordpress/components");
/* harmony import */ var _wordpress_components__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var moment__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! moment */ "moment");
/* harmony import */ var moment__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(moment__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! lodash */ "lodash");
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! react */ "react");
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_4__);
/* harmony import */ var _label_with_wc_tooltip__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./label-with-wc-tooltip */ "./assets/react/components/label-with-wc-tooltip.js");
/* harmony import */ var _utils__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../utils */ "./assets/react/utils.js");








const AdminStockStatusesList = props => {
  const {
    statuses,
    updateData,
    data
  } = props;

  /**
   * Format the date into a human readable format.
   * 
   * @param {string} date 
   * @returns string
   */
  const getFormattedDate = date => {
    return moment__WEBPACK_IMPORTED_MODULE_2___default().unix(date);
  };
  return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.Panel, null, (0,lodash__WEBPACK_IMPORTED_MODULE_3__.map)(statuses, (status_label, status_id) => {
    const [leadTimePrefix, setLeadTimePrefix] = (0,react__WEBPACK_IMPORTED_MODULE_4__.useState)(data[status_id].prefix);
    const [format, setFormat] = (0,react__WEBPACK_IMPORTED_MODULE_4__.useState)(data[status_id].format);
    const [leadTimeText, setLeadTimeText] = (0,react__WEBPACK_IMPORTED_MODULE_4__.useState)(data[status_id].text);
    const [leadTimeDate, setLeadTimeDate] = (0,react__WEBPACK_IMPORTED_MODULE_4__.useState)(data[status_id].date);
    var pickerDate = null;
    if (!(0,lodash__WEBPACK_IMPORTED_MODULE_3__.isEmpty)(leadTimeDate)) {
      pickerDate = (0,_utils__WEBPACK_IMPORTED_MODULE_6__.getBackwardsCompatibleDate)(getFormattedDate(leadTimeDate), wclt_admin_settings);
    }
    return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.PanelBody, {
      key: status_id,
      title: status_label,
      initialOpen: false
    }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.PanelRow, {
      className: "alt-no-flex-panel no-label-margin"
    }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.TextControl, {
      label: (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_label_with_wc_tooltip__WEBPACK_IMPORTED_MODULE_5__["default"], {
        tooltip: wclt_admin_settings.labels.prefix_help
      }, wclt_admin_settings.labels.prefix),
      value: leadTimePrefix,
      onChange: value => {
        setLeadTimePrefix(value);
        updateData(status_id, 'prefix', value);
      }
    })), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.PanelRow, null, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.SelectControl, {
      label: wclt_admin_settings.labels.format,
      value: format,
      options: wclt_admin_settings.labels.format_options,
      onChange: newFormat => {
        setFormat(newFormat);
        updateData(status_id, 'format', newFormat);
      }
    })), format === 'static' && (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.PanelRow, {
      className: "alt-no-flex-panel no-label-margin"
    }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.TextControl, {
      label: (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_label_with_wc_tooltip__WEBPACK_IMPORTED_MODULE_5__["default"], {
        tooltip: wclt_admin_settings.labels.text_help
      }, wclt_admin_settings.labels.text),
      value: leadTimeText,
      onChange: value => {
        setLeadTimeText(value);
        updateData(status_id, 'text', value);
      }
    })), format === 'dynamic' && (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.PanelRow, {
      className: "alt-no-flex-panel"
    }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_label_with_wc_tooltip__WEBPACK_IMPORTED_MODULE_5__["default"], {
      tooltip: wclt_admin_settings.labels.date_help
    }, wclt_admin_settings.labels.date), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.DatePicker, {
      currentDate: pickerDate,
      onChange: newDate => {
        setLeadTimeDate(moment__WEBPACK_IMPORTED_MODULE_2___default()(newDate).format('X'));
        updateData(status_id, 'date', moment__WEBPACK_IMPORTED_MODULE_2___default()(newDate).format('X'));
      },
      onMonthPreviewed: v => console.log(v)
    })));
  }));
};
/* harmony default export */ __webpack_exports__["default"] = (AdminStockStatusesList);

/***/ }),

/***/ "./assets/react/components/label-with-wc-tooltip.js":
/*!**********************************************************!*\
  !*** ./assets/react/components/label-with-wc-tooltip.js ***!
  \**********************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @wordpress/element */ "@wordpress/element");
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! lodash */ "lodash");
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! react */ "react");
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_2__);



const LabelWithWCTooltip = props => {
  const {
    tooltip
  } = props;
  (0,react__WEBPACK_IMPORTED_MODULE_2__.useEffect)(() => {
    jQuery('.woocommerce-help-tip').tipTip({
      'attribute': 'data-tip',
      'fadeIn': 50,
      'fadeOut': 50,
      'delay': 200,
      'keepAlive': true,
      'defaultPosition': "bottom"
    });
  });
  return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("span", {
    className: "label-with-tooltip"
  }, props.children, !(0,lodash__WEBPACK_IMPORTED_MODULE_1__.isEmpty)(tooltip) && (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("span", {
    className: "woocommerce-help-tip",
    "data-tip": tooltip
  }));
};
/* harmony default export */ __webpack_exports__["default"] = (LabelWithWCTooltip);

/***/ }),

/***/ "./assets/react/containers/settings-panel.js":
/*!***************************************************!*\
  !*** ./assets/react/containers/settings-panel.js ***!
  \***************************************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @wordpress/element */ "@wordpress/element");
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _wordpress_components__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @wordpress/components */ "@wordpress/components");
/* harmony import */ var _wordpress_components__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _components_admin_stock_statuses_list__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../components/admin-stock-statuses-list */ "./assets/react/components/admin-stock-statuses-list.js");
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! lodash */ "lodash");
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var moment__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! moment */ "moment");
/* harmony import */ var moment__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(moment__WEBPACK_IMPORTED_MODULE_4__);

/**
 * External dependencies
 */





const defaultGlobalPrefix = jQuery('[name=wclt_prefix]');
const defaultGlobalLeadTime = jQuery('[name=wclt_global_time]');
const defaultGlobalFormat = jQuery('[name=wclt_global_format]');
const defaultGlobalDate = jQuery('[name=wclt_global_date]');
const hiddenInputValueHolder = jQuery('#wclt_react_data');
const hiddenInputLeadTimePerStockHolder = jQuery('[name=wclt_lead_per_stock_status]');
class SettingsPanel extends _wordpress_element__WEBPACK_IMPORTED_MODULE_0__.Component {
  constructor(props) {
    super(props);
    this.updateData = this.updateData.bind(this);
    this.state = {
      lead_time_per_stock: false,
      data: {},
      lead_time_prefix: wclt_admin_settings.data.prefix,
      lead_time_format: wclt_admin_settings.data.format,
      lead_time_text: wclt_admin_settings.data.text,
      lead_time_date: wclt_admin_settings.data.date
    };
  }

  /**
   * On page load: 
   * detect the option's status and update the state.
   * prepare the data object containing the stock statuses details.
   */
  componentDidMount() {
    const settings = wclt_admin_settings.data;
    if ((0,lodash__WEBPACK_IMPORTED_MODULE_3__.has)(settings, 'lead_per_stock') && settings.lead_per_stock === true) {
      this.setState({
        lead_time_per_stock: true
      });
    }
    this.setState({
      data: settings.statuses
    });
  }

  /**
   * When the lead time per stock status option is enabled, show/hide fields.
   */
  componentDidUpdate() {
    if (this.state.lead_time_per_stock === true) {
      hiddenInputLeadTimePerStockHolder.val('yes');
    } else {
      hiddenInputLeadTimePerStockHolder.val('no');
    }
    hiddenInputValueHolder.val(JSON.stringify(this.state.data));
    defaultGlobalPrefix.val(this.state.lead_time_prefix);
    defaultGlobalLeadTime.val(this.state.lead_time_text);
    defaultGlobalFormat.val(this.state.lead_time_format);
    defaultGlobalDate.val(this.state.lead_time_date);
    jQuery('.woocommerce-help-tip').tipTip({
      'attribute': 'data-tip',
      'fadeIn': 50,
      'fadeOut': 50,
      'delay': 200,
      'keepAlive': true,
      'defaultPosition': "bottom"
    });
  }

  /**
   * Format the date into a human readable format.
   * 
   * @param {string} date 
   * @returns string
   */
  getFormattedDate = date => {
    return moment__WEBPACK_IMPORTED_MODULE_4___default().unix(date);
  };

  /**
   * Update individual stock status settings data.
   * 
   * @param {string} status_id 
   * @param {string} property 
   * @param {mixed} value 
   */
  updateData(status_id, property, value) {
    this.setState(prevState => ({
      data: {
        ...prevState.data,
        [status_id]: {
          ...prevState.data[status_id],
          [property]: value
        }
      }
    }));
  }

  /**
   * Toggle the lead time per stock setting.
   */
  toggleLeadTimePerStock() {
    this.setState(prevState => ({
      lead_time_per_stock: !prevState.lead_time_per_stock
    }));
  }

  /**
   * Return either a js Date object or the Moment js date object.
   * Conversion is needed based on WP's version.
   * 
   * @param {mixed} date 
   * @returns {mixed}
   */
  getBackwardsCompatibleDate = date => {
    if (!wclt_admin_settings.needs_compatibility_check) {
      return date.toDate();
    }
    return date;
  };
  render() {
    const {
      lead_time_per_stock,
      data,
      lead_time_prefix,
      lead_time_text,
      lead_time_format,
      lead_time_date
    } = this.state;
    var pickerDate = '';
    if (!(0,lodash__WEBPACK_IMPORTED_MODULE_3__.isEmpty)(lead_time_date)) {
      pickerDate = this.getBackwardsCompatibleDate(this.getFormattedDate(lead_time_date));
    }
    return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.Fragment, null, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("tr", {
      valign: "top"
    }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("th", {
      scope: "row",
      className: "titledesc"
    }, wclt_admin_settings.labels.lead_time_per_stock_title), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("td", null, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("fieldset", null, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("label", {
      htmlFor: "wclt_display_lead_time_per_stock"
    }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("input", {
      name: "wclt_display_lead_time_per_stock",
      id: "wclt_display_lead_time_per_stock",
      type: "checkbox",
      checked: lead_time_per_stock,
      onChange: v => {
        this.toggleLeadTimePerStock();
      }
    }), wclt_admin_settings.labels.lead_time_per_stock)), lead_time_per_stock && (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_components_admin_stock_statuses_list__WEBPACK_IMPORTED_MODULE_2__["default"], {
      statuses: wclt_admin_settings.statuses,
      updateData: this.updateData,
      data: data
    }))), !lead_time_per_stock && (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.Fragment, null, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("tr", {
      valign: "top"
    }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("th", {
      scope: "row",
      className: "titledesc"
    }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("label", null, wclt_admin_settings.labels.prefix, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("span", {
      className: "woocommerce-help-tip",
      "data-tip": wclt_admin_settings.labels.prefix_help
    }))), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("td", null, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.TextControl, {
      value: lead_time_prefix,
      onChange: value => this.setState({
        lead_time_prefix: value
      })
    }))), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("tr", {
      valign: "top"
    }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("th", {
      scope: "row",
      className: "titledesc"
    }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("label", null, wclt_admin_settings.labels.format, " ", (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("span", {
      className: "woocommerce-help-tip",
      "data-tip": wclt_admin_settings.labels.format_help
    }))), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("td", {
      className: "select-auto"
    }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.SelectControl, {
      value: lead_time_format,
      options: wclt_admin_settings.labels.format_options,
      onChange: newFormat => this.setState({
        lead_time_format: newFormat
      })
    }))), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("tr", null, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("th", {
      className: "section-title"
    }, wclt_admin_settings.labels.static_heading)), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("tr", {
      valign: "top"
    }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("th", {
      scope: "row",
      className: "titledesc"
    }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("label", null, wclt_admin_settings.labels.text, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("span", {
      className: "woocommerce-help-tip",
      "data-tip": wclt_admin_settings.labels.text_help
    }))), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("td", null, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.TextControl, {
      value: lead_time_text,
      onChange: value => this.setState({
        lead_time_text: value
      })
    }))), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("tr", null, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("th", {
      className: "section-title"
    }, wclt_admin_settings.labels.dynamic_heading)), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("tr", {
      valign: "top"
    }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("th", {
      scope: "row",
      className: "titledesc"
    }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("label", null, wclt_admin_settings.labels.date, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("span", {
      className: "woocommerce-help-tip",
      "data-tip": wclt_admin_settings.labels.date_help
    }))), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("td", {
      className: "inside cal-container"
    }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.DatePicker, {
      currentDate: pickerDate,
      onChange: newDate => {
        this.setState({
          lead_time_date: moment__WEBPACK_IMPORTED_MODULE_4___default()(newDate).format('X')
        });
      },
      onMonthPreviewed: v => console.log(v)
    })))));
  }
}
/* harmony default export */ __webpack_exports__["default"] = (SettingsPanel);

/***/ }),

/***/ "./assets/react/utils.js":
/*!*******************************!*\
  !*** ./assets/react/utils.js ***!
  \*******************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "getBackwardsCompatibleDate": function() { return /* binding */ getBackwardsCompatibleDate; }
/* harmony export */ });
const getBackwardsCompatibleDate = (date, config) => {
  if (!config.needs_compatibility_check) {
    return date.toDate();
  }
  return date;
};

/***/ }),

/***/ "./assets/react/admin.scss":
/*!*********************************!*\
  !*** ./assets/react/admin.scss ***!
  \*********************************/
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
// extracted by mini-css-extract-plugin


/***/ }),

/***/ "react":
/*!************************!*\
  !*** external "React" ***!
  \************************/
/***/ (function(module) {

module.exports = window["React"];

/***/ }),

/***/ "lodash":
/*!*************************!*\
  !*** external "lodash" ***!
  \*************************/
/***/ (function(module) {

module.exports = window["lodash"];

/***/ }),

/***/ "moment":
/*!*************************!*\
  !*** external "moment" ***!
  \*************************/
/***/ (function(module) {

module.exports = window["moment"];

/***/ }),

/***/ "@wordpress/components":
/*!************************************!*\
  !*** external ["wp","components"] ***!
  \************************************/
/***/ (function(module) {

module.exports = window["wp"]["components"];

/***/ }),

/***/ "@wordpress/element":
/*!*********************************!*\
  !*** external ["wp","element"] ***!
  \*********************************/
/***/ (function(module) {

module.exports = window["wp"]["element"];

/***/ })

/******/ 	});
/************************************************************************/
/******/ 	// The module cache
/******/ 	var __webpack_module_cache__ = {};
/******/ 	
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/ 		// Check if module is in cache
/******/ 		var cachedModule = __webpack_module_cache__[moduleId];
/******/ 		if (cachedModule !== undefined) {
/******/ 			return cachedModule.exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = __webpack_module_cache__[moduleId] = {
/******/ 			// no module.id needed
/******/ 			// no module.loaded needed
/******/ 			exports: {}
/******/ 		};
/******/ 	
/******/ 		// Execute the module function
/******/ 		__webpack_modules__[moduleId](module, module.exports, __webpack_require__);
/******/ 	
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/ 	
/************************************************************************/
/******/ 	/* webpack/runtime/compat get default export */
/******/ 	!function() {
/******/ 		// getDefaultExport function for compatibility with non-harmony modules
/******/ 		__webpack_require__.n = function(module) {
/******/ 			var getter = module && module.__esModule ?
/******/ 				function() { return module['default']; } :
/******/ 				function() { return module; };
/******/ 			__webpack_require__.d(getter, { a: getter });
/******/ 			return getter;
/******/ 		};
/******/ 	}();
/******/ 	
/******/ 	/* webpack/runtime/define property getters */
/******/ 	!function() {
/******/ 		// define getter functions for harmony exports
/******/ 		__webpack_require__.d = function(exports, definition) {
/******/ 			for(var key in definition) {
/******/ 				if(__webpack_require__.o(definition, key) && !__webpack_require__.o(exports, key)) {
/******/ 					Object.defineProperty(exports, key, { enumerable: true, get: definition[key] });
/******/ 				}
/******/ 			}
/******/ 		};
/******/ 	}();
/******/ 	
/******/ 	/* webpack/runtime/hasOwnProperty shorthand */
/******/ 	!function() {
/******/ 		__webpack_require__.o = function(obj, prop) { return Object.prototype.hasOwnProperty.call(obj, prop); }
/******/ 	}();
/******/ 	
/******/ 	/* webpack/runtime/make namespace object */
/******/ 	!function() {
/******/ 		// define __esModule on exports
/******/ 		__webpack_require__.r = function(exports) {
/******/ 			if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 				Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 			}
/******/ 			Object.defineProperty(exports, '__esModule', { value: true });
/******/ 		};
/******/ 	}();
/******/ 	
/************************************************************************/
var __webpack_exports__ = {};
// This entry need to be wrapped in an IIFE because it need to be isolated against other modules in the chunk.
!function() {
/*!*******************************!*\
  !*** ./assets/react/admin.js ***!
  \*******************************/
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @wordpress/element */ "@wordpress/element");
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _containers_settings_panel__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./containers/settings-panel */ "./assets/react/containers/settings-panel.js");
/* harmony import */ var _admin_scss__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./admin.scss */ "./assets/react/admin.scss");



const appRoot = document.getElementById('wclt-root');

(0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.render)((0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_containers_settings_panel__WEBPACK_IMPORTED_MODULE_1__["default"], null), appRoot);
}();
/******/ })()
;
//# sourceMappingURL=wc-lead-time-admin-settings.js.map