<?php

namespace Barn2\Plugin\WC_Lead_Time;

use Barn2\Plugin\WC_Lead_Time\Dependencies\Lib\Registerable,
	Barn2\Plugin\WC_Lead_Time\Dependencies\Lib\Service;

/**
 * This class handles showing the lead time using a shortcode.
 *
 * @package   Barn2/woocommerce-lead-time
 * @author    Barn2 Plugins <support@barn2.com>
 * @license   GPL-3.0
 * @copyright Barn2 Media Ltd
 */
class Shortcode implements Registerable, Service {

	/**
	 * Register hooks and filters.
	 */
	public function register() {
		add_action( 'init', [ $this, 'register_lead_time_shortcode' ], 20 );
	}

  public function register_lead_time_shortcode() {
    add_shortcode( 'lead_time', [ $this, 'lead_time_shortcode_callback' ] );
  }

  /**
   * Callback to show the lead time with shortcode
   */
  public function lead_time_shortcode_callback( $atts, $content ) {
    global $product;

    if( isset( $atts[ 'id' ] ) ) {
      $product = wc_get_product( $atts[ 'id' ] );
    }

    if( ! $product ) {
      return;
    }

    return Display::get_lead_time( $product );
  }

}
